package com.fynas.bookplan;

import java.io.File;

import com.baidu.mobstat.StatService;
import com.fynas.android.util.ChannelHelper;
import com.fynas.android.util.FLog;
import com.fynas.android.util.HttpRequest;
import com.fynas.bookplan.common.Config;
import com.nostra13.universalimageloader.cache.disc.impl.UnlimitedDiscCache;
import com.nostra13.universalimageloader.cache.memory.impl.LRULimitedMemoryCache;
import com.nostra13.universalimageloader.core.DisplayImageOptions;
import com.nostra13.universalimageloader.core.ImageLoader;
import com.nostra13.universalimageloader.core.ImageLoaderConfiguration;
import com.nostra13.universalimageloader.utils.StorageUtils;

import android.app.Application;

public final class BookPlanApplication extends Application {
	@Override
	public void onCreate() {
		super.onCreate();
		// set channel id for baidu stat
		StatService.setAppChannel(ChannelHelper.getInstance(
				getApplicationContext()).getChannelID());

		// init FLog
		FLog.setTag(getPackageName());

		// init http client
		HttpRequest.init(getApplicationContext());

		// init image loader
		File cacheDir = StorageUtils.getOwnCacheDirectory(
				getApplicationContext(),
				Config.CACHE_IMAGE_RELATIVE_EXT_ROOT_DIR);
		ImageLoader imageLoader = ImageLoader.getInstance();
		ImageLoaderConfiguration imageLoaderConfig = new ImageLoaderConfiguration.Builder(
				getApplicationContext())
				.memoryCache(new LRULimitedMemoryCache(2 * 1024 * 1024))
				.discCache(new UnlimitedDiscCache(cacheDir))
				.defaultDisplayImageOptions(DisplayImageOptions.createSimple())
				.build();
		imageLoader.init(imageLoaderConfig);
	}
}
