﻿package com.fynas.bookplan;

import com.fynas.android.util.HttpRequest;
import com.fynas.android.util.PackageUtil;
import com.fynas.bookplan.common.BaseActivity;
import com.fynas.bookplan.common.Config;
import com.fynas.bookplan.common.User;
import com.loopj.android.http.AsyncHttpResponseHandler;
import com.loopj.android.http.RequestParams;

import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;
import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.DialogInterface;

public class FeedbackActivity extends BaseActivity {

	private EditText mFeedbackEdit;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_feedback);

		// 提交意见反馈
		Button submitButton = (Button) findViewById(R.id.feedback_submit_button);
		submitButton.setOnClickListener(submitButtonClickListener);

		// 取消意见反馈
		Button cancelButton = (Button) findViewById(R.id.feedback_cancel_button);
		cancelButton.setOnClickListener(cancelButtonClickListener);

		mFeedbackEdit = (EditText) findViewById(R.id.feedback_message_edit);
	}

	/**
	 * 点击提交意见反馈
	 */
	OnClickListener submitButtonClickListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			if (mFeedbackEdit.getText().toString().trim().length() >= 5) {
				findViewById(R.id.feedback_progress)
						.setVisibility(View.VISIBLE);
				RequestParams params = new RequestParams();
				params.put("content", mFeedbackEdit.getText().toString());
				params.put("version",
						PackageUtil.getVersionName(getApplicationContext()));
				params.put("user", User.getInstance(getApplicationContext())
						.getEmail());
				HttpRequest.post(Config.Api.URL_FEEDBACK, params,
						new AsyncHttpResponseHandler() {
							public void onSuccess(String response) {
								Toast.makeText(FeedbackActivity.this,
										"意见提交成功，感谢您的反馈！", Toast.LENGTH_LONG)
										.show();
							}

							public void onFinish() {
								findViewById(R.id.feedback_progress)
										.setVisibility(View.GONE);
							}
						});
			} else {
				Toast.makeText(FeedbackActivity.this, "亲，字数不能少于5个字哦！",
						Toast.LENGTH_SHORT).show();
			}
		}

	};

	/**
	 * 点击取消意见反馈
	 */
	OnClickListener cancelButtonClickListener = new OnClickListener() {

		@Override
		public void onClick(View view) {
			if (mFeedbackEdit.getText().toString().length() > 0) {
				AlertDialog.Builder builder = new Builder(FeedbackActivity.this);
				builder.setTitle(getResources().getString(R.string.notice));
				builder.setMessage(getResources().getString(
						R.string.feedback_confirm_cancel));
				builder.setPositiveButton(
						getResources().getString(R.string.ok),
						cancelOkClickListener);

				builder.setNegativeButton(
						getResources().getString(R.string.cancel), null);
				builder.create().show();
			} else {
				finish();
			}
		}
	};

	/**
	 * 确定取消添加计划
	 */
	private DialogInterface.OnClickListener cancelOkClickListener = new DialogInterface.OnClickListener() {

		@Override
		public void onClick(DialogInterface dialog, int which) {
			finish();
		}
	};

}
