package com.fynas.bookplan;

import com.fynas.android.util.FLog;
import com.fynas.android.passport.Auth;
import com.fynas.android.passport.AuthCallback;
import com.fynas.bookplan.common.User;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;

public class LauncherActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_launcher);

		User user = User.getInstance(getApplicationContext());
		if (user.isLogin()) {
			Auth auth = Auth.getInstance(getApplicationContext());
			auth.login(user.getEmail(), user.getToken(), Auth.LoginType.TOKEN,
					new AuthCallback() {
						@Override
						public void onLoginSuccess(String token) {
							FLog.i("auto login success");
							startActivity(new Intent(LauncherActivity.this,
									MainActivity.class));
						}

						@Override
						public void onLoginFailure() {
							startActivity(new Intent(LauncherActivity.this,
									LoginActivity.class));
						}

						@Override
						public void onError() {
							Intent intent = new Intent(LauncherActivity.this,
									MainActivity.class);
							intent.putExtra(
									MainActivity.INTENT_EXTRA_ERROR_MESSAGE,
									"自动登录失败");
							startActivity(intent);
						}

						@Override
						public void onAuthFinish() {
							finish();
						}
					});
		} else {
			startActivity(new Intent(this, LoginActivity.class));
			finish();
		}
	}
}
