﻿package com.fynas.bookplan.common;

import java.util.LinkedList;
import java.util.List;

import android.app.Activity;
import android.content.Context;

public class ApplicationHelper {
	private List<Activity> activityList = new LinkedList<Activity>();
	private static ApplicationHelper instance;

	private ApplicationHelper() {
	}

	public static ApplicationHelper getInstance() {
		if (null == instance) {
			instance = new ApplicationHelper();
		}
		return instance;
	}

	// 添加Activity到容器中
	public void addActivity(Activity activity) {
		activityList.add(activity);
	}

	public void removeActivity(Activity activity) {
		activityList.remove(activity);
	}

	// 遍历所有Activity并finish
	public void exit(Context context) {
		for (Activity activity : activityList) {
			activity.finish();
		}
		System.exit(0);
	}
}
