﻿package com.fynas.bookplan.common;

import com.fynas.bookplan.LoginActivity;

import android.content.Intent;
import android.os.Bundle;

public abstract class AuthActivity extends BaseActivity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		User user = User.getInstance(this);
		if (!user.isLogin()) {
			this.onAuthFailed(savedInstanceState);
		} else {// 已登录执行登录后所需的操作
			this.onAuthSuccess(savedInstanceState);
		}
	}

	abstract protected void onAuthSuccess(Bundle savedInstanceState);

	protected void onAuthFailed(Bundle savedInstanceState) {
		// 未登录跳转到登录界面并结束当前activity
		this.startActivity(new Intent(this, LoginActivity.class));
		this.finish();
	}
}
