﻿package com.fynas.bookplan.common;

import android.os.Environment;

public abstract class Config {
	public final static String BASE_URL = "http://fynas.com";
	public final static String STATIC_URL = "http://static.fynas.com";

	public abstract class Api {
		/**
		 * 检查更新
		 */
		public final static String URL_CHECK_UPDATE = BASE_URL
				+ "/bookplan/api/check-update";
		/**
		 * 书名suggestion
		 */
		public final static String URL_BOOK_SUGGESTION = BASE_URL
				+ "/bookplan/api/sug-book";
		/**
		 * 获取读书提醒
		 */
		public final static String URL_GET_PLAN_REMIND = BASE_URL
				+ "/bookplan/api/get-plan-remind";
		/**
		 * 获取读书计划详情
		 */
		public final static String URL_GET_PLAN = BASE_URL
				+ "/bookplan/api/get-plan";
		/**
		 * 登录接口
		 */
		public final static String URL_LOGIN = BASE_URL + "/api-login";
		/**
		 * 删除计划
		 */
		public static final String URL_DELETE_PLAN = BASE_URL
				+ "/bookplan/api/delete-plan";
		/**
		 * 添加计划
		 */
		public static final String URL_ADD_PLAN = BASE_URL
				+ "/bookplan/api/add-plan";
		/**
		 * 更新计划
		 */
		public static final String URL_UPDATE_PLAN = BASE_URL
				+ "/bookplan/api/update-plan";
		/**
		 * 获取在读列表
		 */
		public static final String URL_GET_READING = BASE_URL
				+ "/bookplan/api/get-reading";
		/**
		 * 获取想读列表
		 */
		public static final String URL_GET_WANT = BASE_URL
				+ "/bookplan/api/get-want";
		/**
		 * 获取已读列表
		 */
		public static final String URL_GET_READ = BASE_URL
				+ "/bookplan/api/get-read";

		public static final String URL_ACHIEVEMENT = BASE_URL
				+ "/bookplan/api/achievement";

		/**
		 * 下载app
		 */
		public static final String URL_DOWNLOAD_APP = STATIC_URL
				+ "/bin/bookplan.apk";

		public static final String URL_FEEDBACK = BASE_URL
				+ "/bookplan/api/feedback";

		public static final String URL_COVER = STATIC_URL
				+ "/images/bookplan/%s.jpg";
	}

	public abstract class Preference {
		public static final String KEY_USER_EMAIL = "user_email";
		public static final String KEY_USER_TOKEN = "user_token";
	}

	// 本地存储信息
	public static final String APP_DIR_NAME = "FynasBookPlan";
	public static final String ROOT_DIR = Environment
			.getExternalStorageDirectory().getAbsolutePath()
			+ "/"
			+ APP_DIR_NAME;
	public static final String CACHE_DIR = ROOT_DIR + "/.cache";
	/**
	 * 图片缓存目录相对于sd卡根目录的路径
	 */
	public static final String CACHE_IMAGE_RELATIVE_EXT_ROOT_DIR = "/"
			+ APP_DIR_NAME + "/.cache/image";

	// 字符串常量
	public static final String TAB_TAG_READING = "reading";
	public static final String TAB_TAG_READ = "read";
	public static final String TAB_TAG_WANT = "want";

	public final class Notification {
		/**
		 * 计划提醒
		 */
		public static final int PLAN = 1;
		/**
		 * 应用提醒（新版本升级）
		 */
		public static final int APP = 2;
		/**
		 * 好书推荐提醒
		 */
		public static final int BOOK_RECOMMEND = 3;
	}

	public final class Stat {
		public static final String MENU_ADD_PLAN = "menu_add_plan";// 点击菜单中的添加计划
		public static final String MENU_MORE = "menu_more";// 点击菜单中的更多
		public static final String MENU_QUIT = "menu_quit";// 点击菜单中退出按钮
	}
}
