package com.fynas.bookplan.common;

import com.fynas.android.util.PreferenceHelper;

import android.content.Context;

public class User {
	private static User user;
	private Context context;

	private User(Context appContext) {
		context = appContext;
	}

	public static User getInstance(Context context) {
		if (user == null) {
			user = new User(context);
		}
		return user;
	}

	public String getEmail() {
		return PreferenceHelper.getInstance(context).getString(
				Config.Preference.KEY_USER_EMAIL, null);
	}

	public void setEmail(String email) {
		PreferenceHelper.getInstance(context).putString(
				Config.Preference.KEY_USER_EMAIL, email);
	}

	public String getToken() {
		return PreferenceHelper.getInstance(context).getString(
				Config.Preference.KEY_USER_TOKEN, null);
	}

	public void setToken(String token) {
		PreferenceHelper.getInstance(context).putString(
				Config.Preference.KEY_USER_TOKEN, token);
	}

	/**
	 * 本地是否存储了登录信息
	 * 
	 * @return
	 */
	public boolean isLogin() {
		return getEmail() != null && getToken() != null;
	}

	public void logout() {
		setEmail(null);
		setToken(null);
	}
}
